> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Register an account for every instance of a template

> Full replacement. Set account regulatory metadata before registration; unregister before changing incompatible ownership.



## OpenAPI

````yaml /api-reference/platform-api.json put /v2/workflows/templates/{template}/accounts/{account_id}
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.27
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/workflows/templates/{template}/accounts/{account_id}:
    put:
      tags:
        - Workflows
      summary: Register an account for every instance of a template
      description: >-
        Full replacement. Set account regulatory metadata before registration;
        unregister before changing incompatible ownership.
      operationId: put
      parameters:
        - name: template
          required: true
          in: path
          schema:
            type: string
        - name: account_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/Cadoc5710PropertiesDto'
                - $ref: '#/components/schemas/Cadoc5711PropertiesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowAccountDto'
components:
  schemas:
    Cadoc5710PropertiesDto:
      type: object
      properties:
        address_type:
          type: string
          enum:
            - CUSTODIA_PROPRIA_OMNIBUS
            - CUSTODIA_PROPRIA_SEGREGADO
            - SUBCUSTODIANTE_TERCEIRO
            - CONTRATO_TOKEN
            - CONTRATO_STAKING
            - VALIDADOR
            - DEPOSITO_EXCHANGE
            - NAO_VERIFICAVEL_ONCHAIN
            - '99'
          example: CUSTODIA_PROPRIA_SEGREGADO
          description: BCB Annex 6.1 code. Maps to CADOC 5710 tipoEndereco.
        wallet_type:
          type: string
          enum:
            - QUENTE
            - MORNA
            - FRIA
            - CUSTODIA_TERCEIRO
            - NAO_APLICAVEL
            - '99'
          example: FRIA
          description: BCB Annex 6.1 code. Maps to CADOC 5710 tipoCarteira.
      required:
        - address_type
        - wallet_type
    Cadoc5711PropertiesDto:
      type: object
      properties:
        client_tax_id:
          type: string
          example: '52998224725'
          description: >-
            Client CPF (11 digits) or CNPJ (14 digits), digits only, verified
            against the mod-11 check digits. Maps to CADOC 5711 clienteId.
            Requires client_tax_id_type.
        client_tax_id_type:
          type: string
          enum:
            - cpf
            - cnpj
          example: cpf
          description: >-
            Declared tax-id type. Maps to CADOC 5711 tipoCliente. Requires
            client_tax_id.
    WorkflowAccountDto:
      type: object
      properties:
        account_id:
          type: string
          format: uuid
        client_tax_id:
          type: string
          nullable: true
        client_tax_id_type:
          type: string
          nullable: true
          enum:
            - cpf
            - cnpj
        address_type:
          type: string
        wallet_type:
          type: string
      required:
        - account_id
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````